PRO L1C_APOD, NSPCZF, NBFAC, RESFAC, NSPC, SPEC
;
; VERSION
;   02NOV04  AD  Original. Based on original Lv2PP modules sweep.pro, apod.pro
;
; DESCRIPTION
;   Apodise MIPAS spectra
;   On first call only this computes factor for NB apodisation
;
; ARGUMENTS
;   INTEGER*4 NSPCZF        I  No. of poitns in zero-filled spectrum
;   REAL*4    NBFAC(NSPCZF) I  Spectrum (element#0 = 0cm-1]
;   REAL*8    RESFAC        I  Resolution reduction factor
;   INTEGER*4 NSPC          I  No.points in full spectrum from 0
;   REAL*4    SPEC(NSPC)   I/O Spectrum (element#0 = 0cm-1]


SPEC_ZF = FLTARR ( NSPCZF )  ; Zero-filled spectrum, starting at 0cm-1
SPEC_ZF[0:NSPC-1] = SPEC
SPEC_ZF = [ SPEC_ZF, 0, REVERSE ( SPEC_ZF[1:NSPCZF-1] ) ]

IG = FFT ( SPEC_ZF, -1 )

IG[0:NSPCZF*RESFAC-1] = IG[0:NSPCZF*RESFAC-1] * NBFAC

IF RESFAC NE 1.0D0 THEN IG = INTERPOLATE ( IG, DINDGEN(NSPCZF)*RESFAC )

IG = [ IG[0:NSPCZF-1], 0, REVERSE ( IG[1:NSPCZF-1] ) ]

SPEC_ZF = FLOAT ( FFT ( IG, 1 ) )

SPEC = SPEC_ZF[0:(NSPC-1)*RESFAC]*RESFAC

END
