PRO L1C_INPMPH, LUNL1B, ABS_ORBIT, SPH_SIZE
;
; VERSION 
;   02NOV04  AD  Original. Based on part of Lv2PP.
;
; DESCRIPTION
; Procedure to extract information from L1B Main Product Header 
;
; ARGUMENTS
;   INTEGER*4 LUNL1B    I  LUN for L1B file
;   INTEGER*4 ABS_ORBIT O  Orbit Number
;   INTEGER*4 SPH_SIZE  0  Length [bytes] of Specific Product Header

; Main Product Header - 1247 bytes read as a single string
MPH = STRING ( REPLICATE ( 32B, 1247 ) )
READU, LUNL1B, MPH

; Find Start Absolute orbit number
J = STRPOS ( MPH, 'ABS_ORBIT=' )
ABS_ORBIT = 0L
READS, STRMID ( MPH, J+11, 5 ), ABS_ORBIT

; Find Length of Specific Product Header
J = STRPOS ( MPH, 'SPH_SIZE=' )
SPH_SIZE = 0L
READS, STRMID ( MPH, J+10, 11 ), SPH_SIZE

END
