PRO L1C_SWPMIC, ALT, BAND_VAL, NMIC, BNDMIC, HT1MIC, HT2MIC, NMWSWP, OUTMIC
;
; VERSION 
;   08NOV04  AD  Original. Based on mwext.pro
;
; DESCRIPTION
;   Procedure to select microwindows for output for current sweep altitude.
;
; ARGUMENTS
;   REAL*8    ALT          I  Tangent altitude [km]
;   INTEGER*1 BAND_VAL(5)  I  Band Validity (0=OK)
;   INTEGER*2 NMIC         I  No. of microwindows
;   INTEGER*2 BNDMIC(NMIC) I  Band of each microwindow
;   REAL*4    HT1MIC(NMIC) I  Lower tangent altitude boundaries
;   REAL*4    HT2MIC(NMIC) I  Upper wavenumber boundaries
;   INTEGER*2 NMWSWP       O  No. microwindows selected for output
;   INTEGER*1 OUTMIC(NMIC) O  1=output, 0=no output  

ALTTOL = 1.5    ; Margin for altitude matching

NMWSWP = 0
IF NMIC EQ 0 THEN RETURN

OUTMIC = BYTARR ( NMIC )

FOR IMIC = 0, NMIC-1 DO BEGIN
  IF ALT GE HT1MIC[IMIC] - ALTTOL AND $
     ALT LE HT2MIC[IMIC] + ALTTOL THEN BEGIN
    IBAND = BNDMIC[IMIC]
    IF BAND_VAL[IBAND] EQ 0 THEN BEGIN
      OUTMIC[IMIC] = 1
      NMWSWP = NMWSWP + 1
    ENDIF
  ENDIF
ENDFOR

END
